/**
 * Enum for colors that clients can use
 * Use standard ANSI escape codes https://en.wikipedia.org/wiki/ANSI_escape_code#Colors
 */
export declare enum COLOR {
    RED = "31m"
}
/**
 * Wraps a given string with a given color.
 * @param colorName - from the enum COLOR
 * @param message - string to be wrapped in the given color
 * @returns colored string
 */
export declare const color: (colorName: COLOR, message: string) => string;
//# sourceMappingURL=colors.d.ts.map