import { COLOR } from '../colors.js';
export type RecordValue = string | number | string[] | Date;
/**
 * The class that pretty prints to the console.
 */
export declare class Printer {
    /**
     * Print an object/record to console.
     */
    static printRecord: <T extends Record<string | number, RecordValue>>(object: T) => void;
    /**
     * Prints an array of objects/records to console.
     */
    static printRecords: <T extends Record<string | number, RecordValue>>(objects: T[]) => void;
    /**
     * Prints a given message (with optional color) to console.
     */
    static print: (message: string, colorName?: COLOR) => void;
    /**
     * Prints a new line to console
     */
    static printNewLine: () => void;
}
//# sourceMappingURL=printer.d.ts.map